Limit ability to create groups within groups through createGroup and updateGroup

2012-05-30 18:43 - Dave Vieglais

Status: Closed Start date: 2012-05-30

Priority: Normal Due date: 2012-10-06

Assignee: Ben Leinfelder % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Story Points:    

Description

The REST methods CNIdentity.createGroup and updateGroup should check that subjects included in the group are not group names

to prevent the creation of nest group structures.

Regular subject DNs and the symbolic principals "verifiedUser", "authenticatedUser", and "public" are permitted as group members.

This restriction may be relaxed in the future if it is deemed necessary to fully support nested group structures.

On error, the method can raise InvalidRequest with an appropriate message.

History

#1 - 2012-07-09 13:30 - Dave Vieglais

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.29-Block.4.3

- Milestone changed from CCI-1.0.0 to CCI-1.0.3

#2 - 2012-07-31 00:30 - Dave Vieglais

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.35-Block.5.2

- Milestone changed from CCI-1.0.3 to CCI-1.0.5

#3 - 2012-10-03 15:38 - Chris Jones

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-09-08

- Milestone changed from CCI-1.0.5 to CCI-1.1

#4 - 2012-10-03 16:10 - Chris Jones

- Due date changed from 2012-09-08 to 2012-10-06

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

#5 - 2012-10-08 22:09 - Ben Leinfelder

- Status changed from New to Closed

no restricting Groups to only include members that are not Groups
